org.apache.ignite.internal.processors.configuration.distributed

## Interface DistributePropertyListener<T>

    public interface DistributePropertyListener<T>

Listener of distributed property change event.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onUpdate(String name, T oldVal, T newVal)` Handle changed value event.

### Method Detail

#### onUpdate

    void onUpdate(String name,
                  T oldVal,
                  T newVal)

Handle changed value event.

Parameters:
  `name` - Name of distributed property.
  `oldVal` - Old value which was changed from.
  `newVal` - New value which was changed to.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020